<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Create_node_pool</id>
		<title>Create node pool - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Create_node_pool"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Create_node_pool&amp;action=history"/>
		<updated>2026-04-03T21:41:33Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Create_node_pool&amp;diff=2170&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Create_node_pool&amp;diff=2170&amp;oldid=prev"/>
				<updated>2015-07-24T18:13:14Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:13, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Create_node_pool&amp;diff=2169&amp;oldid=prev</id>
		<title>Donghyun.kim at 19:36, 3 February 2015</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Create_node_pool&amp;diff=2169&amp;oldid=prev"/>
				<updated>2015-02-03T19:36:38Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;&lt;br /&gt;
='''POST''' /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools=&lt;br /&gt;
This operation creates a new node pool&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account Id.&lt;br /&gt;
&lt;br /&gt;
; lbId - ''string''&lt;br /&gt;
: The selected load balancer Id.&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;displayName&amp;quot;: &amp;quot;{name}&amp;quot;,&lt;br /&gt;
    &amp;quot;port&amp;quot;: {port},&lt;br /&gt;
    &amp;quot;protocol&amp;quot;: &amp;quot;{protocol}&amp;quot;,&lt;br /&gt;
    &amp;quot;algorithm&amp;quot;: &amp;quot;{ROUND_ROBIN or SOURCE_IP}&amp;quot;,&lt;br /&gt;
    &amp;quot;timeout&amp;quot;: {timeout},&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; displayName - ''string''&lt;br /&gt;
: The display name of the node pool.&lt;br /&gt;
&lt;br /&gt;
; port - ''integer''&lt;br /&gt;
: The tcp port the load balancer will act on&lt;br /&gt;
: Allowed range is 1 ~ 65535&lt;br /&gt;
&lt;br /&gt;
; protocol - ''string''&lt;br /&gt;
: The protocol to be balanced by this load balancer&lt;br /&gt;
: Allowed values are '''TCP''' or '''HTTP'''. (Note: HTTPS is not supported)&lt;br /&gt;
&lt;br /&gt;
; algorithm - ''string''&lt;br /&gt;
: Load balancing algorithm to be used&lt;br /&gt;
: Allowed values are '''ROUND_ROBIN''' or '''SOURCE_IP'''&lt;br /&gt;
&lt;br /&gt;
; timeout - ''integer''&lt;br /&gt;
: Load balancer timeout (ex, check, connect timeouts)&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Codes ===&lt;br /&gt;
&lt;br /&gt;
; 201 Created&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The request has wrong data&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict&lt;br /&gt;
: The resource already exists.&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
; Location&lt;br /&gt;
: Returned with successful 201 response. Contains the new LB URI. The client must use this URI for all subsequent operations with the LB.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
'''Request'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
POST /accounts/{accountId}/loadbalancers/{loadbalancerId}/nodePools&lt;br /&gt;
Content-Type: application/json; Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64-encoded username &amp;amp; password string}&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;displayName&amp;quot; : &amp;quot;Test Load Balancer&amp;quot;,&lt;br /&gt;
    &amp;quot;port&amp;quot;: 80,&lt;br /&gt;
    &amp;quot;protocol&amp;quot;: &amp;quot;HTTP&amp;quot;,&lt;br /&gt;
    &amp;quot;algorithm&amp;quot;: &amp;quot;ROUND_ROBIN&amp;quot;,&lt;br /&gt;
    &amp;quot;timeout&amp;quot;: 30,&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
Content-Type: application/json; charset=UTF-8&lt;br /&gt;
Location : http://{api-server}/account/{accountId}/loadbalancer/{lbId}/nodePools/{newNodePoolId}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Load Balancer API]]&lt;/div&gt;</summary>
		<author><name>Donghyun.kim</name></author>	</entry>

	</feed>